Installing Flash Plugin 10 for Firefox in FreeBSD 8

Flash is annoying.  Adobe seem to have forgotten that other operating systems exist outside of windows, mac and linux.  Because of this, we have to use the linux-based flash plugin for FreeBSD.

However, this is (mostly) easy enough to configure if you know how.  Here’s a guide to do it.

First of all, update your ports tree (see other posts on my blog on how to do this)

Next we need to install the linux compatibility base system (if you haven’t already) – to do this, type the following as root:

cd /usr/ports/emulators/linux_base-f10
make install distclean

This will take a while as it installs a few helpers (like rpm), and downloads many linux RPM packages.

Once it is complete, we can install the linux flash plugin by typing:

cd /usr/ports/www/linux-f10-flashplugin10
make install distclean

This will fetch the linux flash plugin.  If it complains about size mismatches or MD5 checksum failures, then you have likely not updated your ports tree like you were told!

Once this is installed, we need to install a plugin wrapper to make it work… To do this, we type:

cd /usr/ports/www/nspluginwrapper
make install distclean

Now we need to make a quick file link.  To do this, type the following:

cd /usr/local/lib/browser_plugins/
ln -fs /usr/local/lib/npapi/linux-f10-flashplugin/libflashplayer.so

Ok, just one final step now (honest!).  For each user that you want to use the plugin, open a terminal as that user and DO NOT “su root”.  Then type:

nspluginwrapper -v -a -i

If all is well, you’ll see some mention of flash.  Next time you open firefox, flash will be enabled and fully working – including sound.

Feel free to complain to Adobe about the existence of other Operating Systems 🙂

5 thoughts on “Installing Flash Plugin 10 for Firefox in FreeBSD 8

  1. marc

    one small detail, step 0 make sure the linux kernel emulation is loaded at the start.

    kldload linux
    and/or in /etc/rc.conf
    linux_enable=”YES

    Reply
  2. david planner

    i test with official handbock of freebsd and this page to install flash… but its don’t work. the first 2 ports are no problem. /usr/ports/emulators/linux_base-f10 (or pkg install -y emulators/linux_base-f10). /usr/ports/www/linux-f10-flashplugin11 (pkg commands works from time to time…). the last one /usr/ports/www/nspluginwrapper wants every time /usr/ports/emulators/linux_base-c6 (with pkg install or make install clean every time same error). c6 have a conflict with f10… nspluginwrapper can’t install… I test it on a fresh installation with 10.1 (fresh ports etc…) i know with Freebsd 9.3 and 10 it works. when anyone has a solution for this prob please send me a message davidheinrichplanner@googlemail.com

    Reply
  3. david planner

    freebsd 10.1 flash =

    kldload linux
    echo ‘linux_enable=”YES”‘ >> /etc/rc.conf
    echo ‘OVERRIDE_LINUX_BASE_PORTS=f10’ >> /etc/make.conf
    echo ‘OVERRIDE_LINUX_NONBASE_PORTS=f10’ >> /etc/make.conf
    echo ‘compat.linux.osrelease=2.6.18’ >> /etc/sysctl.conf

    cd /usr/ports/emulators/linux_base-c6 && make install clean
    cd /usr/ports/www/linux-c6-flashplugin11 && make install clean
    cd /usr/ports/www/nspluginwrapper &&make install clean

    nspluginwrapper -v -a -i

    when linux_base-f10 files are installed it is essential to deinstall the old one!

    pkg delete -f linux_base-f10 linux-f10-\*

    Reply

Leave a Reply to Juan Martinez Cancel reply

Your email address will not be published. Required fields are marked *